Subject: RE: [PATCH 1/1] gpg-interface: add minTrustLevel as a configuration option

From: Hans Jerry Illikainen <[email-masked]>
Date: Tue, 24 Dec 2019 11:30:58 +0000

On Mon, Dec 23 2019, Randall S. Becker wrote:
> Side question: are there any tests running with alternate GPG
> packages? I have a platform where the official GPG itself is not
> available, so am looking for alternatives for that community.

Do you mean non-standard builds or forks of GnuPG, or alternative
implementations of PGP?

As it stands, the test suite is hardcoded to use gpg and gpgsm (see e.g.
t/lib-gpg.sh).  For normal use, the gpg.program and gpg.<format>.program
config options can be used to override the programs to use.  However,
any alternative implementation would have to mimic the behavior of GnuPG
(see gpg-interface.c -- a number of hardcoded arguments are passed in
verify_signed_buffer() and sign_buffer(), and the output from various
operations are GnuPG-specific.)

-- 
hji